Package com.xebialabs.xlrelease.domain.events

# Class ReleaseVariableUpdatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleaseVariableUpdatedEvent

All Implemented Interfaces:
  `ReleaseVariableEvent`, `VariableEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseVariableUpdatedEvent extends Object implements ReleaseVariableEvent, scala.Product, Serializable
Event published when a variable is updated in a release.

param: original a copy of the original variable. param: updated the updated variable. You can use `original()` to find the changes.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseVariableUpdatedEvent(Variable original, Variable updated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReleaseVariableUpdatedEvent`
  `apply(Variable original, Variable updated)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseVariableUpdatedEvent`
  `copy(Variable original, Variable updated)`
  `Variable`
  `copy$default$1()`
  `Variable`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Variable`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Variable,Variable>>`
  `unapply(ReleaseVariableUpdatedEvent x$0)`
  `Variable`
  `updated()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseVariableUpdatedEvent

    public ReleaseVariableUpdatedEvent(Variable original, Variable updated)

- ## Method Details

  - ### apply

    public static ReleaseVariableUpdatedEvent apply(Variable original, Variable updated)

  - ### unapply

    public static scala.Option<scala.Tuple2<Variable,Variable>> unapply(ReleaseVariableUpdatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### original

    public Variable original()

  - ### updated

    public Variable updated()

  - ### copy

    public ReleaseVariableUpdatedEvent copy(Variable original, Variable updated)

  - ### copy$default$1

    public Variable copy$default$1()

  - ### copy$default$2

    public Variable copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`